package com.edgec.browserbackend.account.domain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @Desc
 * @Author jason
 * @CreateTime 2020/3/12 3:14 下午
 **/
@JsonIgnoreProperties(ignoreUnknown = true)
public class Promotion {
    private String code;
    private int invitedUsers;
    //好友当月消费
    private int commission;
    //好友以前消费
    private int commissionLeft;
    private boolean isSale;
    private double gift;
    private double giftLeft;

    public int getCommission() {
        return commission;
    }

    public void setCommission(int commission) {
        this.commission = commission;
    }

    public int getInvitedUsers() {
        return invitedUsers;
    }

    public void setInvitedUsers(int invitedUsers) {
        this.invitedUsers = invitedUsers;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public boolean isSale() {
        return isSale;
    }

    public void setSale(boolean sale) {
        isSale = sale;
    }

    public double getGift() {
        return gift;
    }

    public void setGift(double gift) {
        this.gift = gift;
    }

    public double getGiftLeft() {
        return giftLeft;
    }

    public void setCommissionLeft(int commissionLeft) {
        this.commissionLeft = commissionLeft;
    }

    public int getCommissionLeft() {
        return commissionLeft;
    }

    public void setGiftLeft(double giftLeft) {
        this.giftLeft = giftLeft;
    }
}
